You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     sh...@freebsd.org
Last committer: sh...@freebsd.org
Ident:          $FreeBSD: head/devel/wxformbuilder/Makefile 395580 2015-08-30 
02:59:01Z shurd $
Log URL:        
http://beefy1.nyi.freebsd.org/data/93i386-default/395929/logs/wxformbuilder-3.5.0.b.log
Build URL:      
http://beefy1.nyi.freebsd.org/build.html?mastername=93i386-default&build=395929
Log:

====>> Building devel/wxformbuilder
build started at Fri Sep  4 02:33:58 UTC 2015
port directory: /usr/ports/devel/wxformbuilder
building for: FreeBSD 93i386-default-job-19 9.3-RELEASE-p25 FreeBSD 
9.3-RELEASE-p25 i386
maintained by: sh...@freebsd.org
Makefile ident:      $FreeBSD: head/devel/wxformbuilder/Makefile 395580 
2015-08-30 02:59:01Z shurd $
Poudriere version: 3.1.7
Host OSVERSION: 1100077
Jail OSVERSION: 903000

---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=903000
UNAME_v=FreeBSD 9.3-RELEASE-p25
UNAME_r=9.3-RELEASE-p25
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/93i386-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=wxformbuilder-3.5.0.b
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/93i386-default/ref/.p/pool
MASTERNAME=93i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.7
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake XDG_DATA_HOME=/wrkdirs/usr/ports/devel/wxformbuilder/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/wxformbuilder/work  
HOME=/wrkdirs/usr/ports/devel/wxformbuilder/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh WX_CONFIG=/usr/local/bin/wxgtk2u-3.0-config
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/wxformbuilder/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/wxformbuilder/work  
HOME=/wrkdirs/usr/ports/devel/wxformbuilder/work TMPDIR="/tmp" NO_PIE=yes 
SHELL=/bin/sh NO_LINT=YES WX_CONFIG=/usr/local/bin/wxgtk2u-3.0-config 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS="" LIBS=""  
CXX="c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=9.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/wxformbuilder"
EXAMPLESDIR="share/examples/wxformbuilder"
DATADIR="share/wxformbuilder"
WWWDIR="www/wxformbuilder"
ETCDIR="etc/wxformbuilder"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/wxformbuilder
DOCSDIR=/usr/local/share/doc/wxformbuilder
EXAMPLESDIR=/usr/local/share/examples/wxformbuilder
WWWDIR=/usr/local/www/wxformbuilder
ETCDIR=/usr/local/etc/wxformbuilder
--End SUB_LIST--

---Begin make.conf---
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   wxformbuilder-3.5.0.b depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.5.6.txz
[93i386-default-job-19] Installing pkg-1.5.6...
[93i386-default-job-19] Extracting pkg-1.5.6: .......... done
Message for pkg-1.5.6:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   wxformbuilder-3.5.0.b depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of wxformbuilder-3.5.0.b
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by wxformbuilder-3.5.0.b for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by wxformbuilder-3.5.0.b for building
=> SHA256 Checksum OK for wxFormBuilder_v3.5.0-beta-source.zip.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by wxformbuilder-3.5.0.b for building
===>  Extracting for wxformbuilder-3.5.0.b
=> SHA256 Checksum OK for wxFormBuilder_v3.5.0-beta-source.zip.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for wxformbuilder-3.5.0.b
===>   Converting DOS text files to UNIX text files
===>  Applying FreeBSD patches for wxformbuilder-3.5.0.b
===========================================================================
=======================<phase: build-depends  >============================
===>   wxformbuilder-3.5.0.b depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.1_2.txz
[93i386-default-job-19] Installing gmake-4.1_2...
[93i386-default-job-19] `-- Installing gettext-runtime-0.19.5.1...
[93i386-default-job-19] |   `-- Installing indexinfo-0.2.3...
[93i386-default-job-19] |   `-- Extracting indexinfo-0.2.3: .... done
[93i386-default-job-19] |   `-- Installing libiconv-1.14_8...
[93i386-default-job-19] |   `-- Extracting libiconv-1.14_8: .......... done
[93i386-default-job-19] `-- Extracting gettext-runtime-0.19.5.1: .......... done
[93i386-default-job-19] Extracting gmake-4.1_2: .......... done
===>   wxformbuilder-3.5.0.b depends on executable: gmake - found
===>   Returning to build of wxformbuilder-3.5.0.b
===========================================================================
=======================<phase: lib-depends    >============================
===>   wxformbuilder-3.5.0.b depends on shared library: libwx_baseu-3.0.so - 
not found
===>   Installing existing package /packages/All/wx30-gtk2-3.0.2_3.txz
[93i386-default-job-19] Installing wx30-gtk2-3.0.2_3...
[93i386-default-job-19] `-- Installing ORBit2-2.14.19_1...
[93i386-default-job-19] |   `-- Installing glib-2.44.1_1...
[93i386-default-job-19] |   | `-- Installing libffi-3.2.1...
[93i386-default-job-19] |   | `-- Extracting libffi-3.2.1: .......... done
[93i386-default-job-19] |   | `-- Installing pcre-8.37_4...
[93i386-default-job-19] |   | `-- Extracting pcre-8.37_4: .......... done
[93i386-default-job-19] |   | `-- Installing perl5-5.20.2_6...
[93i386-default-job-19] |   | `-- Extracting perl5-5.20.2_6: .......... done
[93i386-default-job-19] |   | `-- Installing python27-2.7.10...
[93i386-default-job-19] |   | `-- Extracting python27-2.7.10: .......... done
[93i386-default-job-19] |   `-- Extracting glib-2.44.1_1: .......... done
No schema files found: doing nothing.
[93i386-default-job-19] |   `-- Installing libIDL-0.8.14_2...
[93i386-default-job-19] |   `-- Extracting libIDL-0.8.14_2: ......... done
[93i386-default-job-19] `-- Extracting ORBit2-2.14.19_1: .......... done
[93i386-default-job-19] `-- Installing atk-2.16.0...
[93i386-default-job-19] `-- Extracting atk-2.16.0: .......... done
[93i386-default-job-19] `-- Installing expat-2.1.0_3...
[93i386-default-job-19] `-- Extracting expat-2.1.0_3: .......... done
[93i386-default-job-19] `-- Installing gcc-4.8.5...
[93i386-default-job-19] |   `-- Installing binutils-2.25.1...
[93i386-default-job-19] |   `-- Extracting binutils-2.25.1: .......... done
[93i386-default-job-19] |   `-- Installing gcc-ecj-4.5...
[93i386-default-job-19] |   `-- Extracting gcc-ecj-4.5: . done
[93i386-default-job-19] |   `-- Installing gmp-5.1.3_2...
[93i386-default-job-19] |   `-- Extracting gmp-5.1.3_2: .......... done
[93i386-default-job-19] |   `-- Installing mpc-1.0.3...
[93i386-default-job-19] |   | `-- Installing mpfr-3.1.2_2...
[93i386-default-job-19] |   | `-- Extracting mpfr-3.1.2_2: .......... done
[93i386-default-job-19] |   `-- Extracting mpc-1.0.3: ...... done
[93i386-default-job-19] `-- Extracting gcc-4.8.5: .......... done
[93i386-default-job-19] `-- Installing gconf2-3.2.6_4...
[93i386-default-job-19] |   `-- Installing dbus-glib-0.104...
[93i386-default-job-19] |   | `-- Installing dbus-1.8.20...
[93i386-default-job-19] |   |   `-- Installing gnome_subr-1.0...
[93i386-default-job-19] |   |   `-- Extracting gnome_subr-1.0: . done
[93i386-default-job-19] |   |   `-- Installing libICE-1.0.9_1,1...
[93i386-default-job-19] |   |   | `-- Installing xproto-7.0.27...
[93i386-default-job-19] |   |   | `-- Extracting xproto-7.0.27: .......... done
[93i386-default-job-19] |   |   `-- Extracting libICE-1.0.9_1,1: .......... done
[93i386-default-job-19] |   |   `-- Installing libSM-1.2.2_3,1...
[93i386-default-job-19] |   |   `-- Extracting libSM-1.2.2_3,1: .......... done
[93i386-default-job-19] |   |   `-- Installing libX11-1.6.2_3,1...
[93i386-default-job-19] |   |   | `-- Installing kbproto-1.0.6...
[93i386-default-job-19] |   |   | `-- Extracting kbproto-1.0.6: .......... done
[93i386-default-job-19] |   |   | `-- Installing libXau-1.0.8_3...
[93i386-default-job-19] |   |   | `-- Extracting libXau-1.0.8_3: .......... done
[93i386-default-job-19] |   |   | `-- Installing libXdmcp-1.1.2...
[93i386-default-job-19] |   |   | `-- Extracting libXdmcp-1.1.2: ......... done
<snip>
[93i386-default-job-19] |   `-- Installing libsecret-0.18.3...
[93i386-default-job-19] |   `-- Extracting libsecret-0.18.3: .......... done
[93i386-default-job-19] |   `-- Installing libxslt-1.1.28_7...
[93i386-default-job-19] |   `-- Extracting libxslt-1.1.28_7: .......... done
[93i386-default-job-19] |   `-- Installing webp-0.4.3...
[93i386-default-job-19] |   | `-- Installing giflib-5.0.6...
[93i386-default-job-19] |   | `-- Extracting giflib-5.0.6: .......... done
[93i386-default-job-19] |   `-- Extracting webp-0.4.3: .......... done
[93i386-default-job-19] `-- Extracting webkit-gtk2-2.4.9: .......... done
[93i386-default-job-19] Extracting wx30-gtk2-3.0.2_3: .......... done
Message for perl5-5.20.2_6:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
Message for python27-2.7.10:
=====================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

=====================================================================
Message for gcc-4.8.5:
To ensure binaries built with this toolchain find appropriate versions
of the necessary run-time libraries, you may want to link using

  -Wl,-rpath=/usr/local/lib/gcc48

For ports leveraging USE_GCC, USES=compiler, or USES=fortran this happens
transparently.
Message for ca_root_nss-3.20:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
Message for trousers-tddl-0.3.10_7:
To run tcsd automatically, add the following line to /etc/rc.conf

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

To use TPM, add your_account to '_tss' group like following:

# pw groupadd _tss -m your_account
Message for dejavu-2.35:
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/share/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
===>   wxformbuilder-3.5.0.b depends on shared library: libwx_baseu-3.0.so - 
found (/usr/local/lib/libwx_baseu-3.0.so)
===>   Returning to build of wxformbuilder-3.5.0.b
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for wxformbuilder-3.5.0.b
cd /wrkdirs/usr/ports/devel/wxformbuilder/work/source && /bin/sh 
create_build_files4.sh
gmake: Entering directory 
'/wrkdirs/usr/ports/devel/wxformbuilder/work/source/build/premake/bsd'
==== Building Premake4 ====
Creating bin/release
Creating obj/Release
scripts.c
os_match.c
os_uuid.c
os_chdir.c
os_pathsearch.c
os_isfile.c
path_isabsolute.c
os_rmdir.c
os_copyfile.c
os_isdir.c
string_endswith.c
os_mkdir.c
premake.c
os_getcwd.c
lauxlib.c
lobject.c
lcode.c
ltm.c
loadlib.c
lgc.c
llex.c
ldebug.c
lstrlib.c
ldump.c
lparser.c
lfunc.c
lzio.c
lstate.c
lmem.c
lmathlib.c
ltable.c
linit.c
lundump.c
lvm.c
lbaselib.c
ltablib.c
ldo.c
lapi.c
loslib.c
lopcodes.c
lstring.c
liolib.c
ldblib.c
Linking Premake4
obj/Release/loslib.o: In function `os_tmpname':
loslib.c:(.text+0x35): warning: warning: tmpnam() possibly used unsafely; 
consider using mkstemp()
gmake: Leaving directory 
'/wrkdirs/usr/ports/devel/wxformbuilder/work/source/build/premake/bsd'
Running pre-build file creation steps...
Building configurations...
Running action 'gmake'...
Generating 3.0/gmake/Makefile...
Generating 3.0/gmake/TiCPP.make...
Generating 3.0/gmake/plugin-interface.make...
Generating 3.0/gmake/additional-components-plugin.make...
Generating 3.0/gmake/common-components-plugin.make...
Generating 3.0/gmake/containers-components-plugin.make...
Generating 3.0/gmake/forms-components-plugin.make...
Generating 3.0/gmake/layout-components-plugin.make...
Generating 3.0/gmake/wxFormBuilder.make...
Done.
===========================================================================
=======================<phase: build          >============================
===>  Building for wxformbuilder-3.5.0.b
==== Building TiCPP (release) ====
Creating ../../../sdk/lib
Creating obj/Release/TiCPP
tinyxml.cpp
tinyxmlparser.cpp
ticpp.cpp
tinystr.cpp
tinyxmlerror.cpp
Linking TiCPP
==== Building plugin-interface (release) ====
Creating obj/Release/plugin-interface
xrcconv.cpp
In file included from /usr/local/include/wx-3.0/wx/string.h:46,
                 from /usr/local/include/wx-3.0/wx/memory.h:15,
                 from /usr/local/include/wx-3.0/wx/object.h:19,
                 from /usr/local/include/wx-3.0/wx/wx.h:15,
                 from ../../../sdk/plugin_interface/xrcconv.h:26,
                 from ../../../sdk/plugin_interface/xrcconv.cpp:26:
/usr/local/include/wx-3.0/wx/strvararg.h:25:27: warning: type_traits: No such 
file or directory
In file included from /usr/local/include/wx-3.0/wx/string.h:46,
                 from /usr/local/include/wx-3.0/wx/memory.h:15,
                 from /usr/local/include/wx-3.0/wx/object.h:19,
                 from /usr/local/include/wx-3.0/wx/wx.h:15,
                 from ../../../sdk/plugin_interface/xrcconv.h:26,
                 from ../../../sdk/plugin_interface/xrcconv.cpp:26:
/usr/local/include/wx-3.0/wx/strvararg.h:350: error: ISO C++ forbids 
declaration of 'is_enum' with no type
/usr/local/include/wx-3.0/wx/strvararg.h:350: error: typedef name may not be a 
nested-name-specifier
/usr/local/include/wx-3.0/wx/strvararg.h:350: error: expected ';' before '<' 
token
/usr/local/include/wx-3.0/wx/strvararg.h:354: error: 'is_enum' was not declared 
in this scope
/usr/local/include/wx-3.0/wx/strvararg.h:354: error: template argument 1 is 
invalid
plugin-interface.make:130: recipe for target 
'obj/Release/plugin-interface/xrcconv.o' failed
gmake[1]: *** [obj/Release/plugin-interface/xrcconv.o] Error 1
Makefile:20: recipe for target 'plugin-interface' failed
gmake: *** [plugin-interface] Error 2
*** [do-build] Error code 1

Stop in /usr/ports/devel/wxformbuilder.
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to